std::__debug::bitset< _Nb > Class Template Reference

`#include <bitset>`

Inherits bitset< _Nb >.

## Public Types

typedef _Base::reference | reference

## Public Member Functions

| bitset (const _Base &__x)
template<typename _CharT >
| bitset (const _CharT *__str, typename std::basic_string< _CharT >::size_type __n=std::basic_string< _CharT >::npos, _CharT __zero=_CharT('0'), _CharT __one=_CharT('1'))
template<class _CharT , class _Traits , class _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n, _CharT __zero, _CharT __one=_CharT('1'))
template<typename _CharT , typename _Traits , typename _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos=0, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n=(std::basic_string< _CharT, _Traits, _Alloc >::npos))
constexpr | bitset (unsigned long long __val) noexcept
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
bitset< _Nb > & | flip () noexcept
bitset< _Nb > & | flip (size_t __pos)
bool | operator!= (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > & | operator&= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > | operator<< (size_t __pos) const noexcept
bitset< _Nb > & | operator<<= (size_t __pos) noexcept
bool | operator== (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > | operator>> (size_t __pos) const noexcept
bitset< _Nb > & | operator>>= (size_t __pos) noexcept
reference | operator[] (size_t __pos)
constexpr bool | operator[] (size_t __pos) const
bitset< _Nb > & | operator^= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > & | operator|= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > | operator~ () const noexcept
bitset< _Nb > & | reset () noexcept
bitset< _Nb > & | reset (size_t __pos)
bitset< _Nb > & | set () noexcept
bitset< _Nb > & | set (size_t __pos, bool __val=true)
template<typename _CharT , typename _Traits , typename _Alloc >
std::basic_string< _CharT, _Traits, _Alloc > | to_string () const
template<typename _CharT , typename _Traits >
std::basic_string< _CharT, _Traits, std::allocator< _CharT > > | to_string () const
template<typename _CharT >
std::basic_string< _CharT, std::char_traits< _CharT >, std::allocator< _CharT > > | to_string () const
std::basic_string< char, std::char_traits< char >, std::allocator< char > > | to_string () const
template<class _CharT , class _Traits , class _Alloc >
std::basic_string< _CharT, _Traits, _Alloc > | to_string (_CharT __zero, _CharT __one=_CharT('1')) const
template<class _CharT , class _Traits >
std::basic_string< _CharT, _Traits, std::allocator< _CharT > > | to_string (_CharT __zero, _CharT __one=_CharT('1')) const
template<class _CharT >
std::basic_string< _CharT, std::char_traits< _CharT >, std::allocator< _CharT > > | to_string (_CharT __zero, _CharT __one=_CharT('1')) const
std::basic_string< char, std::char_traits< char >, std::allocator< char > > | to_string (char __zero, char __one='1') const

## Detailed Description

template<size_t _Nb>
class std::__debug::bitset< _Nb >

Class std::bitset with additional safety/checking/debug instrumentation.

Definition at line 44 of file debug/bitset.

## Member Typedef Documentation

## reference

template<size_t _Nb>

typedef _Base::reference std::__debug::bitset< _Nb >::reference

Definition at line 57 of file debug/bitset.

## Constructor & Destructor Documentation

## bitset() [1/6]

template<size_t _Nb>

constexpr std::__debug::bitset< _Nb >::bitset | ( |  | ) |

inline constexpr noexcept

Definition at line 133 of file debug/bitset.

## bitset() [2/6]

template<size_t _Nb>

constexpr std::__debug::bitset< _Nb >::bitset | ( | unsigned long long | __val | ) |

inline constexpr noexcept

Definition at line 137 of file debug/bitset.

## bitset() [3/6]

template<size_t _Nb>
template<typename _CharT , typename _Traits , typename _Alloc >

std::__debug::bitset< _Nb >::bitset | ( | const std::basic_string< _CharT, _Traits, _Alloc > & | __str,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __pos = `0`,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __n = `(std::basic_string<_CharT, _Traits, _Alloc>::npos)`
| ) |  |

inline explicit

Definition at line 145 of file debug/bitset.

## bitset() [4/6]

template<size_t _Nb>
template<class _CharT , class _Traits , class _Alloc >

std::__debug::bitset< _Nb >::bitset | ( | const std::basic_string< _CharT, _Traits, _Alloc > & | __str,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __pos,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __n,
|  | _CharT | __zero,
|  | _CharT | __one = `_CharT('1')`
| ) |  |

inline

Definition at line 155 of file debug/bitset.

## bitset() [5/6]

template<size_t _Nb>

std::__debug::bitset< _Nb >::bitset | ( | const _Base & | __x | ) |

inline

Definition at line 163 of file debug/bitset.

## bitset() [6/6]

template<size_t _Nb>
template<typename _CharT >

std::__debug::bitset< _Nb >::bitset | ( | const _CharT * | __str,
|  | typename std::basic_string< _CharT >::size_type | __n = `std::basic_string<_CharT>::npos`,
|  | _CharT | __zero = `_CharT('0')`,
|  | _CharT | __one = `_CharT('1')`
| ) |  |

inline explicit

Definition at line 168 of file debug/bitset.

## Member Function Documentation

## _M_base() [1/2]

template<size_t _Nb>

const _Base & std::__debug::bitset< _Nb >::_M_base | ( |  | ) | const

inline noexcept

Definition at line 380 of file debug/bitset.

## _M_base() [2/2]

template<size_t _Nb>

_Base & std::__debug::bitset< _Nb >::_M_base | ( |  | ) |

inline noexcept

Definition at line 376 of file debug/bitset.

## flip() [1/2]

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::flip | ( |  | ) |

inline noexcept

Definition at line 246 of file debug/bitset.

## flip() [2/2]

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::flip | ( | size_t | __pos | ) |

inline

Definition at line 253 of file debug/bitset.

## operator!=()

template<size_t _Nb>

bool std::__debug::bitset< _Nb >::operator!= | ( | const bitset< _Nb > & | __rhs | ) | const

inline noexcept

Definition at line 359 of file debug/bitset.

## operator&=()

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::operator&= | ( | const bitset< _Nb > & | __rhs | ) |

inline noexcept

Definition at line 177 of file debug/bitset.

## operator<<()

template<size_t _Nb>

bitset< _Nb > std::__debug::bitset< _Nb >::operator<< | ( | size_t | __pos | ) | const

inline noexcept

Definition at line 359 of file debug/bitset.

## operator<<=()

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::operator<<= | ( | size_t | __pos | ) |

inline noexcept

Definition at line 191 of file debug/bitset.

## operator==()

template<size_t _Nb>

bool std::__debug::bitset< _Nb >::operator== | ( | const bitset< _Nb > & | __rhs | ) | const

inline noexcept

Definition at line 355 of file debug/bitset.

## operator>>()

template<size_t _Nb>

bitset< _Nb > std::__debug::bitset< _Nb >::operator>> | ( | size_t | __pos | ) | const

inline noexcept

Definition at line 372 of file debug/bitset.

## operator>>=()

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::operator>>= | ( | size_t | __pos | ) |

inline noexcept

Definition at line 205 of file debug/bitset.

## operator[]() [1/2]

template<size_t _Nb>

reference std::__debug::bitset< _Nb >::operator[] | ( | size_t | __pos | ) |

inline

Definition at line 263 of file debug/bitset.

## operator[]() [2/2]

template<size_t _Nb>

constexpr bool std::__debug::bitset< _Nb >::operator[] | ( | size_t | __pos | ) | const

inline constexpr

Definition at line 276 of file debug/bitset.

## operator^=()

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::operator^= | ( | const bitset< _Nb > & | __rhs | ) |

inline noexcept

Definition at line 191 of file debug/bitset.

## operator|=()

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::operator|= | ( | const bitset< _Nb > & | __rhs | ) |

inline noexcept

Definition at line 184 of file debug/bitset.

## operator~()

template<size_t _Nb>

bitset< _Nb > std::__debug::bitset< _Nb >::operator~ | ( |  | ) | const

inline noexcept

Definition at line 242 of file debug/bitset.

## reset() [1/2]

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::reset | ( |  | ) |

inline noexcept

Definition at line 228 of file debug/bitset.

## reset() [2/2]

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::reset | ( | size_t | __pos | ) |

inline

Definition at line 235 of file debug/bitset.

## set() [1/2]

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::set | ( |  | ) |

inline noexcept

Definition at line 212 of file debug/bitset.

## set() [2/2]

template<size_t _Nb>

bitset< _Nb > & std::__debug::bitset< _Nb >::set | ( | size_t | __pos,
|  | bool | __val = `true`
| ) |  |

inline

Definition at line 221 of file debug/bitset.

## to_string() [1/8]

template<size_t _Nb>
template<typename _CharT , typename _Traits , typename _Alloc >

std::basic_string< _CharT, _Traits, _Alloc > std::__debug::bitset< _Nb >::to_string | ( |  | ) | const

inline

Definition at line 292 of file debug/bitset.

## to_string() [2/8]

template<size_t _Nb>
template<typename _CharT , typename _Traits >

std::basic_string< _CharT, _Traits, std::allocator< _CharT > > std::__debug::bitset< _Nb >::to_string | ( |  | ) | const

inline

Definition at line 309 of file debug/bitset.

## to_string() [3/8]

template<size_t _Nb>
template<typename _CharT >

std::basic_string< _CharT, std::char_traits< _CharT >, std::allocator< _CharT > > std::__debug::bitset< _Nb >::to_string | ( |  | ) | const

inline

Definition at line 323 of file debug/bitset.

## to_string() [4/8]

template<size_t _Nb>

std::basic_string< char, std::char_traits< char >, std::allocator< char > > std::__debug::bitset< _Nb >::to_string | ( |  | ) | const

inline

Definition at line 339 of file debug/bitset.

## to_string() [5/8]

template<size_t _Nb>
template<class _CharT , class _Traits , class _Alloc >

std::basic_string< _CharT, _Traits, _Alloc > std::__debug::bitset< _Nb >::to_string | ( | _CharT | __zero,
|  | _CharT | __one = `_CharT('1')`
| ) |  | const

inline

Definition at line 299 of file debug/bitset.

## to_string() [6/8]

template<size_t _Nb>
template<class _CharT , class _Traits >

std::basic_string< _CharT, _Traits, std::allocator< _CharT > > std::__debug::bitset< _Nb >::to_string | ( | _CharT | __zero,
|  | _CharT | __one = `_CharT('1')`
| ) |  | const

inline

Definition at line 316 of file debug/bitset.

## to_string() [7/8]

template<size_t _Nb>
template<class _CharT >

std::basic_string< _CharT, std::char_traits< _CharT >, std::allocator< _CharT > > std::__debug::bitset< _Nb >::to_string | ( | _CharT | __zero,
|  | _CharT | __one = `_CharT('1')`
| ) |  | const

inline

Definition at line 332 of file debug/bitset.

## to_string() [8/8]

template<size_t _Nb>

std::basic_string< char, std::char_traits< char >, std::allocator< char > > std::__debug::bitset< _Nb >::to_string | ( | char | __zero,
|  | char | __one = `'1'`
| ) |  | const

inline

Definition at line 345 of file debug/bitset.

The documentation for this class was generated from the following file:

- debug/bitset